#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	Approx
Summary:	String::Approx - Perl module for approximate matching (fuzzy matching)
Summary(pl.UTF-8):	String::Approx - moduł Perlado dopasowywania przybliżonego (rozmytego)
Name:		perl-String-Approx
Version:	3.26
Release:	7
License:	LGPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fc14d72986431025125d4970dd6b7f88
URL:		http://search.cpan.org/dist/String-Approx/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::Approx lets you match and substitute strings approximately.
With this you can emulate errors: typing errorrs, speling errors,
closely related vocabularies (colour color), genetic mutations (GAG
ACT), abbreviations (McScot, MacScot).

%description -l pl.UTF-8
String::Approx pozwala na przybliżone dopasowywanie i zastępowanie
łańcuchów. Przy jego użyciu można emulować błędy: literrówki, błendy
ortograficzne, bliskie sobie słowniki (colour/color), mutacje
genetyczne (GAG ACT), skróty (McScot, MacScot).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README README.apse
%{perl_vendorarch}/String/Approx.pm
%dir %{perl_vendorarch}/auto/String/Approx
%{perl_vendorarch}/auto/String/Approx/Approx.bs
%attr(755,root,root) %{perl_vendorarch}/auto/String/Approx/Approx.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-String-Approx.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> bfd25fa
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 68f7407
- rel 6

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 327bc43
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3601c99
- release 4

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 10b1718
- release 3

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 3a6c9be
- generic URL, informative summaries

* Sat Feb 09 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> c905155
- rel.2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 69d6d1b
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b2db45c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4c66c7c
- converted to UTF-8

* Mon Oct 23 2006 ankry <ankry@pld-linux.org> e718be1
- ver. 3.26

* Wed Jun 22 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 57d7ec0
- updated to 3.25

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> 2aba487
- updated to 3.24

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f0fbd42
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 808e3b0
- fixed perl-devel BR

* Sat May 01 2004 ankry <ankry@pld-linux.org> fec0684
- cosmetics

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> ed7fb79
- s/no/nb/ in Summary langs

* Sun Dec 07 2003 migo <migo@pld-linux.org> 405db1e
- up to 3.23
- fixed License

* Tue Oct 21 2003 migo <migo@pld-linux.org> bfecdfd
- up to 3.22
- new bcond style
- cosmetics

* Thu Sep 18 2003 Adam Gołębiowski <adamg@pld-linux.org> 0f0f412
- updated to 3.20

